org.apache.flume.sink.hdfs

## Class SequenceFileSerializer.Record

- java.lang.Object
- - org.apache.flume.sink.hdfs.SequenceFileSerializer.Record

- Enclosing interface:
    SequenceFileSerializer

      public static class SequenceFileSerializer.Record
      extends Object

  A key-value pair making up a record in an HDFS SequenceFile

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SequenceFileSerializer.Record(Object key, Object value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getKey()`
    `Object` | `getValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SequenceFileSerializer.Record

          public SequenceFileSerializer.Record(Object key,
                                       Object value)

  - ### Method Detail

    - #### getKey

          public Object getKey()

    - #### getValue

          public Object getValue()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.